For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/adtool/adtool‑rules

get

--notset--

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
adtoolidintegerRequired
rule_typesstringOptional
loginanyOptional
programanyOptional
siteanyOptional
touranyOptional
text_searchanyOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/adtool/adtool-rules
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'adtoolid' => 1,
		'rule_types' => array (
  0 => 1,
  1 => 2,
),
		'login' => '1',
		'program' => '1',
		'site' => '1',
		'tour' => '1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'adtool/adtool-rules',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "adtool_rules": [
    {
      "identid": "5",
      "start_time": "1565382532",
      "end_time": "0",
      "rule_type": "1",
      "adtoolid": "ALL",
      "start_nice": "2019-08-09 16:28:52",
      "end_nice": "FOREVER",
      "rule_status": 1,
      "advanced": 1,
      "override_identifier_id": [
        "5"
      ],
      "ruleid": "1565382532:0:1",
      "affiliate": {
        "productsupport": "productsupport"
      },
      "rule_type_nice": "SHOW",
      "login": [
        {
          "id": "1",
          "name": "productsupport"
        }
      ],
      "program": [
        {
          "id": "1",
          "name": "50% Revshare"
        }
      ],
      "site": [
        {
          "id": "1",
          "name": "Membership Site A"
        }
      ],
      "tour": [
        {
          "id": "1",
          "name": "(member_a) Default Tour"
        }
      ]
    },
    {
      "identid": "1",
      "start_time": "1555646400",
      "end_time": "0",
      "rule_type": "1",
      "adtoolid": "ALL",
      "start_nice": "2019-04-19 00:00:00",
      "end_nice": "FOREVER",
      "rule_status": 1,
      "advanced": 1,
      "override_identifier_id": [
        "1"
      ],
      "ruleid": "1555646400:0:1",
      "rule_type_nice": "SHOW",
      "login": [
        {
          "id": 0,
          "name": "ALL"
        }
      ],
      "program": [
        {
          "id": 0,
          "name": "ALL"
        }
      ],
      "site": [
        {
          "id": 0,
          "name": "ALL"
        }
      ],
      "tour": [
        {
          "id": 0,
          "name": "ALL"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?